<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.tool.SzDateHelp" %>
<%@ page import="net.sz600.organize.*" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.flow.*" %>
<%@ page import="net.sz600.formEngine2.*" %>
<%@ page import="java.util.*" %>
<%@ include file="/sessionInfoWeixin.jsp"%>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0, minimum-scale=1.0, maximum-scale=1.0" />
<meta name="apple-mobile-web-app-capable" content="yes" />
<meta name="format-detection" content="telephone=no" />
<%@ include file="/share/oa_app_title.jsp"%>
 <link href="../images/soarwell_css.css" rel="stylesheet" type="text/css" />
</head>
<%@ include file="/app/title.jsp"%>
<table width="98%" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="1" cellspacing="0">
  <tr onMouseOver="javascript:this.className='trMouseOver'" onMouseOut="javascript:this.className='trMouseOut'">
    <td style="background-color:#DFF2FA">
    <%
    String sLink = "stat_receive.jsp";
    out.println("<a href=\"" + sLink + "\" onfocus=\"javascript:blur();\">");
		out.println("<span class=\"product_name\">");
		out.println("我的待阅");
		out.println("</span>");
    out.println("</a>");   
    %>
    </td>
  </tr>
<tr><td><div class='d_center'><ul>
<%
	//取得分组
  ArrayList groupList = LcForm.FormGroupList;
  Map groupMap = LcForm.FormGroupMap;
  ArrayList idList = null;
  Iterator iterId = null;
  Iterator iter = groupList.iterator();
  String name = "";
  String name2 = "";
  int iFormID = 0;
  int iCount1 = 0;
  int iCount2 = 0;
  int iCount3 = 0;
  int iCount4 = 0;
  int iCount5 = 0;
  int iCount1_total = 0;
  int iCount2_total = 0;
  int iCount3_total = 0;
  int iCount4_total = 0;
  int iCount5_total = 0;
  String sCount1 = "0";
  String sCount2 = "0";
  String sCount3 = "0";
  String sCount4 = "0";
  String sCount5 = "0";  
  BdFormControl formControl = new BdFormControl();
  BdValueControl valueControl = new BdValueControl();
  BdDesktop bdDesktop = new BdDesktop();
  String sUrl = "";
  int iTransactType = 0;
  int iTitleLenOther = 13;
  while (iter != null && iter.hasNext()) {
	  name = (String)iter.next();
	  if (name.equals("")) {
		  name = "其他";
	  }

	  //取得分组下的
	  idList = (ArrayList)groupMap.get(new String(name));
	  iterId = idList.iterator();
	  while (iterId.hasNext()) {
		  iFormID = SzConvert.toInt((String)iterId.next());
		  iCount5 = valueControl.getReceiveCount(iFormID, iDLID_SESSION);
		  if (iCount5 == 0) {
			  continue;
		  }
		  
		  iCount5_total += iCount5;		  
			
			out.println(bdDesktop.printMainReceiveNew2(iFormID, session, strSkin_SESSION, strLevel_SESSION,16, iTitleLenOther, 1));
	  }
	  
	  
  }
%>
</ul></div>
</td></tr>
<tr class="trClassTitle2">
	<td><b>合计待阅数量： <b><%=iCount5_total %></b></b></td>	
</tr>
</table>
